package com.covas;

import java.time.LocalDate;

import javax.persistence.Column;
import javax.persistence.Entity;

import org.hibernate.annotations.ColumnDefault;

import io.quarkus.hibernate.orm.panache.PanacheEntity;


@Entity
public class Users extends PanacheEntity {

    @Column(nullable = false, unique = true)
    public String pseudo;
    @Column(nullable = false, unique = true)
    public String email;
    @Column(nullable = false)
    public String name;
    @Column(nullable = false)
    public String firstName;
    @Column(nullable = false)
    public LocalDate birth;
    @ColumnDefault("false")
    public Boolean status;
    @Column(nullable =  false)
    public String password;
    
    public static Users findByPseudo(String pseudo){
        return find("pseudo", pseudo).firstResult();
    }
    
}
